#ifndef MYGLWIDGET_H
#define MYGLWIDGET_H

#include <QGLWidget>

class QContextMenuEvent;
class Scene;

class MyGLWidget : public QGLWidget
{
    Q_OBJECT
public:
    MyGLWidget(QWidget *parent = 0);
    ~MyGLWidget();

public slots:
    void rotateX(int);
    void rotateY(int);
    void rotateZ(int);
    void focusRed();
    void focusBlue();
    void setScene(Scene* scene);


protected:
    void contextMenuEvent(QContextMenuEvent *event);
    void initializeGL();
    void paintGL();
    void resizeGL(int width, int height);

private:
    QAction * actionBlue, *actionRed;
    GLclampf red, green, blue;
    float i;
    Scene* scene;

};

#endif // MYGLWIDGET_H
